from enum import Enum


class FinchgoConnectSessionNewParamsIntegrationAuthMethod(str, Enum):
    API_TOKEN = "api_token"
    ASSISTED = "assisted"
    CREDENTIAL = "credential"
    OAUTH = "oauth"

    def __str__(self) -> str:
        return str(self.value)
